﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.ApplicationModel.DataTransfer;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace ShareSourceSample
{
    public sealed partial class BlankPage : Page
    {
        public BlankPage()
        {
            this.InitializeComponent();

            DataTransferManager dataTransferManager = DataTransferManager.GetForCurrentView();

            dataTransferManager.DataRequested += new TypedEventHandler<DataTransferManager , DataRequestedEventArgs>( dataTransferManager_DataRequested );
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void dataTransferManager_DataRequested( DataTransferManager sender , DataRequestedEventArgs args )
        {
            args.Request.Data.Properties.Title = "Text to Share";
            args.Request.Data.Properties.Description = "just a simple sample";
            args.Request.Data.SetText( txtContentToShare.Text );
        }
    }
}
